Bug 879434 - either disable hot-unplug usb-ehci controller and give a prompt if not support or fix it to work
either disable hot-unplug usb-ehci controller and give a prompt if not suppor...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On: 879096
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-22 20:41 EST by Sibiao Luo
Modified: 2014-06-17 23:19 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 879096
Environment:
Last Closed: 2014-06-13 07:50:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Gerd Hoffmann 2013-03-20 10:52:15 EDT
RHEL-7 qemu should do tghis correctly, patch is upstream.
Comment 2 Sibiao Luo 2013-07-08 02:46:36 EDT
verify this issue on qemu-kvm-1.5.1-2.el7.x86_64, the QEMU did not core dump and will prompt that the device 'usb-ehci'|'nec-usb-xhci' does not support hotplugging. 
But for there is still prompt that 'An undefined error has occurred', please refer to existing bug 949211. 
host info:
3.10.0-0.rc7.64.el7.x86_64
qemu-kvm-1.5.1-2.el7.x86_64
guest info:
3.10.0-0.rc7.64.el7.x86_64

# /usr/libexec/qemu-kvm -M pc-i440fx-rhel7.0.0 ....-device nec-usb-xhci,id=xhci,bus=pci.0,addr=0x8 -device usb-ehci,id=ehci,bus=pci.0,addr=0x9
(qemu) device_del ehci
Device 'usb-ehci' does not support hotplugging
An undefined error has occurred
(qemu) device_del xhci
Device 'nec-usb-xhci' does not support hotplugging
An undefined error has occurred

Base on above, this issue has been fixed, set to verified status. please correct me if any mistake.

Best Regards,
sluo
Comment 3 Ludek Smid 2014-06-13 07:50:55 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.